Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1531297 - When copying a Service Dialog the pre 5.9.0 dialog editor is displayed
Summary: When copying a Service Dialog the pre 5.9.0 dialog editor is displayed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Roman Blanco
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1518918
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-04 23:01 UTC by Satoe Imaishi
Modified: 2018-03-06 15:06 UTC (History)
9 users (show)

Fixed In Version: 5.9.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1518918
Environment:
Last Closed: 2018-03-06 15:06:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2018-01-04 23:05:52 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/023c007e4be2e34ec58e4c37d122b75741c13ac7

commit 023c007e4be2e34ec58e4c37d122b75741c13ac7
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Jan 4 08:30:54 2018 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 4 18:00:57 2018 -0500

    Merge pull request #16623 from romanblanco/bz1518918
    
    Renamed action to copy Service Dialog
    (cherry picked from commit d2e5a326cb06f0fadf2e3800cc14a38af45af6a6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1531297

 db/fixtures/miq_product_features.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 CFME Bot 2018-01-04 23:57:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/edc2c2522ef962e8554ec7953a404027e00e16e4

commit edc2c2522ef962e8554ec7953a404027e00e16e4
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Jan 4 19:08:56 2018 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 4 18:52:00 2018 -0500

    Merge pull request #2986 from romanblanco/bz1518918
    
    Make the 'Copy dialog' action work with the new Dialog Editor
    (cherry picked from commit 09d0cad8c96d47b2f0d0de9992890131a271de08)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1531297

 .../dialog_editor/dialog_editor_controller.js      | 48 +++++++++++++---------
 app/controllers/miq_ae_customization_controller.rb |  4 +-
 .../miq_ae_customization_controller/dialogs.rb     | 29 +++++++++----
 .../application_helper/toolbar/dialog_center.rb    |  2 +-
 .../application_helper/toolbar/dialogs_center.rb   |  2 +-
 app/helpers/miq_ae_customization_helper.rb         | 12 ++++++
 app/views/miq_ae_customization/editor.html.haml    |  2 +-
 config/routes.rb                                   |  2 +-
 spec/routing/miq_ae_customization_routing_spec.rb  |  2 +-
 9 files changed, 68 insertions(+), 35 deletions(-)
 create mode 100644 app/helpers/miq_ae_customization_helper.rb

Comment 4 CFME Bot 2018-01-05 21:28:37 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:
https://github.com/ManageIQ/manageiq-api/commit/64b1fef0720c652c257e863fa78d6dbc4c22ae76

commit 64b1fef0720c652c257e863fa78d6dbc4c22ae76
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Fri Jan 5 12:34:01 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 5 16:25:16 2018 -0500

    Merge pull request #262 from imtayadeway/bug/dialog-copy-feature
    
    Update dialog copy product feature
    (cherry picked from commit c4e2c09c2abdb22be881e3e5fc34abf290535247)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1531297

 config/api.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 5 Shveta 2018-02-09 05:05:18 UTC
Fixed in 5.9.0.20.20180206200727_d1873b9


Note You need to log in before you can comment on or make changes to this bug.